//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Sample/SamplesSet.h
//! @brief     Defines class SamplesSet.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_SAMPLE_SAMPLESSET_H
#define BORNAGAIN_GUI_MODEL_SAMPLE_SAMPLESSET_H

#include "Base/Types/VectorWC.h"
#include <QObject>
#include <QXmlStreamReader>

class SampleItem;

//! Main model to hold sample items.

class SamplesSet : public QObject, public VectorWC<SampleItem> {
    Q_OBJECT
public:
    SamplesSet();
    ~SamplesSet();

    void writeTo(QXmlStreamWriter* w) const;
    void readFrom(QXmlStreamReader* r);

    QStringList sampleNames() const;

signals:
    void setChanged() const;
    void currentModified() const;
};

#endif // BORNAGAIN_GUI_MODEL_SAMPLE_SAMPLESSET_H
