//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/List/InstrumentsQModel.h
//! @brief     Defines class InstrumentsQModel.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQMODEL_H
#define BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQMODEL_H

#include <QAbstractListModel>

class InstrumentItem;
class InstrumentsSet;

//! Data model for InstrumentsQListView.

class InstrumentsQModel : public QAbstractListModel {
    Q_OBJECT
public:
    InstrumentsQModel(QObject* parent);

    int rowCount(const QModelIndex& parent = QModelIndex()) const override;
    QVariant data(const QModelIndex& index, int role = Qt::DisplayRole) const override;

    void removeInstrument();
    QModelIndex copyInstrument();
    QModelIndex pushInstrument(InstrumentItem*);

private:
    InstrumentsSet* set();
    const InstrumentsSet* set() const;
};

#endif // BORNAGAIN_GUI_VIEW_LIST_INSTRUMENTSQMODEL_H
