//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/List/SamplesQListView.h
//! @brief     Defines class SamplesQListView.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LIST_SAMPLESQLISTVIEW_H
#define BORNAGAIN_GUI_VIEW_LIST_SAMPLESQLISTVIEW_H

#include <QListView>

class SampleItem;
class SamplesQModel;

//! List view to select one sample (left side of layer-oriented sample editor)
class SamplesQListView : public QListView {
    Q_OBJECT
public:
    SamplesQListView(SamplesQModel*);

    void createNewSample();
    void createSampleFromLibrary(const QString& classname, const QString& title,
                                 const QString& description);
    void importSampleFromPython();
    void onCurrentChanged(const QModelIndex& index);
signals:
    void currentSampleChanged(SampleItem* current);

private:
    SamplesQModel* m_model;
};

#endif // BORNAGAIN_GUI_VIEW_LIST_SAMPLESQLISTVIEW_H
